// 父类 基础物品
function BaseItem(name) {
    this.name = name || "基础物品";
}

BaseItem.prototype.discard = function() {
    console.log(`${this.name}被丢弃了`);
};

// 子类 消耗物品
function Consumable(name, consume) {
    BaseItem.call(this, name);
    this.name = `消耗物品-${name}`; // 覆盖name属性
    this.consume = consume || 1;
}

Consumable.prototype = Object.create(BaseItem.prototype);
Consumable.prototype.constructor = Consumable;

Consumable.prototype.use = function() {
    console.log(`使用了${this.consume}个${this.name}`);
};

// 子类 装备类
function Equipment(name, najju) {
    BaseItem.call(this, name);
    this.name = `装备-${name}`; // 覆盖name属性
    this.najju = najju || 100;
}

Equipment.prototype = Object.create(BaseItem.prototype);
Equipment.prototype.constructor = Equipment;

Equipment.prototype.equip = function() {
    console.log(`装备了${this.name},这件装备还有：${this.najju}点耐久`);
};

module.exports = { Consumable, Equipment };